%define real_name SOCC-File-Cmd
%define perl_sitearch /usr/lib/perl5/site_perl/auto
%define perl_sitelib /usr/lib/perl5/site_perl
%define perl_version %(perl VERSION)


##########################################################################
Name: SOCC-File-Cmd
Summary: Perl library for writing to the Nagios external command file.
Version: %{perl_version}
Release: 1.deakin
Group: Applications/System
License: Unknown
Packager: Danny Reynolds <danny@deakin.edu.au>
Vendor: Deakin University
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl
%description
Perl module for writing to Nagios command file.

##########################################################################
%prep
%setup -n %{real_name}-%{version}



##########################################################################
%build
%{__perl} Makefile.PL \
	PREFIX="%{buildroot}%{_prefix}" \
	INSTALLSITELIB="%{buildroot}%{_prefix}/lib/perl5/site_perl"
%{__make} %{?_smp_mflags}



##########################################################################
%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib}

##########################################################################
%clean
%{__rm} -rf %{buildroot}



##########################################################################
%files
%defattr(-, root, root, 0755)
%doc Changes README TODO
%exclude %{perl_sitearch}
%{perl_sitelib}/SOCC/File/*
